# Uses of Class
com.ngrok.definitions.EndpointCompression

Packages that use EndpointCompression
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointCompression in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointCompression
  Modifier and Type
  Method
  Description
  `EndpointCompression`
  EndpointCompression.Builder.`build()`
  Constructs the `EndpointCompression` instance.
  Methods in com.ngrok.definitions that return types with arguments of type EndpointCompression
  Modifier and Type
  Method
  Description
  `Optional<EndpointCompression>`
  HttpsEdgeRoute.`getCompression()`
  compression module configuration or `null`

- ## Uses of EndpointCompression in com.ngrok.services

  Methods in com.ngrok.services that return EndpointCompression
  Modifier and Type
  Method
  Description
  `EndpointCompression`
  EdgeRouteCompressionModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointCompression`
  EdgeRouteCompressionModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EndpointCompression
  Modifier and Type
  Method
  Description
  `CompletionStage<EndpointCompression>`
  EdgeRouteCompressionModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointCompression>`
  EdgeRouteCompressionModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.
  Methods in com.ngrok.services with parameters of type EndpointCompression
  Modifier and Type
  Method
  Description
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`compression(EndpointCompression compression)`
  compression module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`compression(EndpointCompression compression)`
  compression module configuration or `null`
  `EdgeRouteCompressionModule.ReplaceCallBuilder`
  EdgeRouteCompressionModule.ReplaceCallBuilder.`module(EndpointCompression module)`
  Sets the `module` parameter.
  Method parameters in com.ngrok.services with type arguments of type EndpointCompression
  Modifier and Type
  Method
  Description
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`compression(Optional<EndpointCompression> compression)`
  compression module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`compression(Optional<EndpointCompression> compression)`
  compression module configuration or `null`
  `EdgeRouteCompressionModule.ReplaceCallBuilder`
  EdgeRouteCompressionModule.ReplaceCallBuilder.`module(Optional<EndpointCompression> module)`
  Sets (or unsets) the `module` parameter.